    Return the RMF associated with a PHA data set.

get_rmf(id=None, resp_id=None, bkg_id=None)
id - int or str, optional
resp_id - int or str, optional
bkg_id - int or str, optional

Copy the RMF from the default data set to data set 2:

>>> rmf1 = get_rmf() >>> set_rmf(2, rmf1)

Retrieve the RMF associated to the second background component of the 'core' data set:

>>> bgrmf = get_rmf('core', 'bkg.rmf', bkg_id=2)

Retrieve the ARF and RMF for the default data set and use them to create a model expression which includes a power-law component (pbgnd) that is not convolved by the response:

>>> arf = get_arf() >>> rmf = get_rmf() >>> src_expr = xsphabs.abs1 * powlaw1d.psrc >>> set_full_model(rmf(arf(src_expr)) + powlaw1d.pbgnd) >>> print(get_model())

PARAMETERS

The parameters for this function are:

Parameter
Definition
id
The data set to use. If not given then the default identifier is used, as returned by `get_default_id` .
resp_id
The identifier for the RMF within this data set, if there are multiple responses.
bkg_id
Set this to return the given background component.

The return value from this function is:

rmf -- This is a reference to the RMF, rather than a copy, so that changing the fields of the object will change the values in the data set.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023